You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@doris.apache.org by mo...@apache.org on 2020/04/29 11:25:41 UTC

[incubator-doris] branch master updated: [Bug] Fix bug that help-resource.zip file is missing. (#3423)

This is an automated email from the ASF dual-hosted git repository.

morningman pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-doris.git


The following commit(s) were added to refs/heads/master by this push:
     new 73a3c59  [Bug] Fix bug that help-resource.zip file is missing.  (#3423)
73a3c59 is described below

commit 73a3c59efb24d3ca8f54e2c5522050391970e569
Author: Mingyu Chen <mo...@gmail.com>
AuthorDate: Wed Apr 29 19:25:28 2020 +0800

    [Bug] Fix bug that help-resource.zip file is missing.  (#3423)
---
 build.sh               |  2 +-
 docs/build_help_zip.sh | 44 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 1 deletion(-)

diff --git a/build.sh b/build.sh
index 85813cd..90373be 100755
--- a/build.sh
+++ b/build.sh
@@ -170,7 +170,7 @@ fi
 # Build docs, should be built before Frontend
 echo "Build docs"
 cd ${DORIS_HOME}/docs
-make clean && make -j${PARALLEL}
+./build_help_zip.sh
 cd ${DORIS_HOME}
 
 # Clean and build Frontend
diff --git a/docs/build_help_zip.sh b/docs/build_help_zip.sh
new file mode 100755
index 0000000..82fc876
--- /dev/null
+++ b/docs/build_help_zip.sh
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+##############################################################
+# This script is used to build help doc zip file
+##############################################################
+
+#!/bin/bash
+
+set -eo pipefail
+
+ROOT=`dirname "$0"`
+ROOT=`cd "$ROOT"; pwd`
+
+BUILD_DIR=build
+HELP_DIR=contents
+HELP_ZIP_FILE=help-resource.zip
+SQL_REF_DOC_DIR=zh-CN/sql-reference/
+
+cd $ROOT
+rm -rf $BUILD_DIR $HELP_DIR $HELP_ZIP_FILE
+mkdir -p $BUILD_DIR $HELP_DIR
+
+cp -r $SQL_REF_DOC_DIR/* $HELP_DIR/
+
+zip -r $HELP_ZIP_FILE $HELP_DIR
+mv $HELP_ZIP_FILE $BUILD_DIR/
+
+


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@doris.apache.org
For additional commands, e-mail: commits-help@doris.apache.org